# -*- coding: utf-8 -*-
import functools
import logging
import unittest
import uuid
import time

import boto3

from smart_open import open

BUCKET_NAME = 'test-smartopen'
KEY_NAME = 'test-key'


logger = logging.getLogger(__name__)


_resource = functools.partial(boto3.resource, region_name='us-east-1')


def get_versions(bucket, key):
    """Return object versions in chronological order."""
    return [
        v.id
        for v in sorted(
            _resource('s3').Bucket(bucket).object_versions.filter(Prefix=key),
            key=lambda version: version.last_modified,
        )
    ]

if __name__ == '__main__':
    unittest.main()
